SendInstruction Struct Reference

## Data Fields

int | IsVirtualFile
int | IsChunkActive
int | IsRangeActive
int | IsTrailers
char | RangeHeader [200]
char | AcceptLanguageHeader [200]
off_t | RangeOffset
off_t | ReadSendSize
long | RecvWriteSize
const void * | CorsHeader
const void * | Cookie
const void * | RequestCookie

## Field Documentation

## Cookie

const void* SendInstruction::Cookie

Cookie associated with the virtualDir.

Referenced by http_RecvPostMessage(), http_SendMessage(), and process_request().

## CorsHeader

const void* SendInstruction::CorsHeader

CorsHeader.

Referenced by http_MakeMessage(), and process_request().

## ReadSendSize

off_t SendInstruction::ReadSendSize

Read from local source and send on the network.

Referenced by CreateHTTPRangeResponseHeader(), http_SendMessage(), and process_request().

## RecvWriteSize

long SendInstruction::RecvWriteSize

Recv from the network and write into local file.

Referenced by CheckOtherHTTPHeaders().

## RequestCookie

const void* SendInstruction::RequestCookie

Cookie associated with the request.

Referenced by http_RecvPostMessage(), http_SendMessage(), and process_request().

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/src/inc/webserver.h